# Coverity scan can override this to 0, to skip checking in gtk-doc generated code
%{!?with_docs: %global with_docs 1}

%global libical_version 1.0

Name: libical-glib
Version: 1.0.4
Release: 2%{?dist}
Summary: GObject wrapper for libical library
Group: System Environment/Libraries
License: LGPLv2
URL: https://wiki.gnome.org/Projects/libical-glib
Source: http://download.gnome.org/sources/%{name}/1.0/%{name}-%{version}.tar.xz

Requires: libical >= %{libical_version}

BuildRequires: gtk-doc
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(libical) >= %{libical_version}

%description
This package provides a GObject wrapper for libical library with support
of GObject Introspection.

%package devel
Summary: Development files for building against %{name}
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: pkgconfig(glib-2.0)
Requires: pkgconfig(gobject-2.0)
Requires: pkgconfig(libical) >= %{libical_version}

%description devel
Development files needed for building things which link against %{name}.

%if %{with_docs}

%package doc
Summary: Documentation files for %{name}
Group: Development/Libraries
BuildArch: noarch

%description doc
This package contains developer documentation for %{name}.

# %{with_docs}
%endif

%prep
%setup -q

%build

%if %{with_docs}
%global gtkdoc_flags --enable-gtk-doc
%else
%global gtkdoc_flags --disable-gtk-doc
%endif

%configure --enable-introspection %gtkdoc_flags
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT/%{_libdir}/libical-glib-1.0.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc COPYING NEWS README
%{_libdir}/libical-glib-1.0.so.*
%{_libdir}/girepository-1.0/ICalGLib-1.0.typelib

%files devel
%{_includedir}/libical-glib
%{_libdir}/libical-glib-1.0.so
%{_libdir}/pkgconfig/libical-glib-1.0.pc
%{_datadir}/gir-1.0/ICalGLib-1.0.gir

%if %{with_docs}

%files doc
%{_datadir}/gtk-doc/html/%{name}

%endif

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 20 2016 Milan Crha <mcrha@redhat.com> - 1.0.4-1
- Update to 1.0.4

* Mon Jan 18 2016 Milan Crha <mcrha@redhat.com> - 1.0.3-3
- Rebuild against updated libical

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon May 04 2015 Milan Crha <mcrha@redhat.com> - 1.0.3-1
- Update to 1.0.3

* Fri Mar 27 2015 Milan Crha <mcrha@redhat.com> - 1.0.2-1
- Initial packaging for Fedora
